## IdeDebuggerLibrary IdeDebuggerLibrary |

## Functions

gint | ide_debugger_library_compare ()
IdeDebuggerLibrary * | ide_debugger_library_new ()
const gchar * | ide_debugger_library_get_id ()
GPtrArray * | ide_debugger_library_get_ranges ()
void | ide_debugger_library_add_range ()
const gchar * | ide_debugger_library_get_host_name ()
void | ide_debugger_library_set_host_name ()
const gchar * | ide_debugger_library_get_target_name ()
void | ide_debugger_library_set_target_name ()

## Properties

gchar * | host-name | Read / Write
gchar * | id | Read / Write / Construct Only
gchar * | target-name | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_LIBRARY
struct | IdeDebuggerLibraryClass
| IdeDebuggerLibrary

## Object Hierarchy

        GObject
        ╰── IdeDebuggerLibrary

## Description

## Functions

### ide_debugger_library_compare ()

    gint
    ide_debugger_library_compare (IdeDebuggerLibrary *a,
                                  IdeDebuggerLibrary *b);

### ide_debugger_library_new ()

    IdeDebuggerLibrary *
    ide_debugger_library_new (const gchar *id);

### ide_debugger_library_get_id ()

    const gchar *
    ide_debugger_library_get_id (IdeDebuggerLibrary *self);

### ide_debugger_library_get_ranges ()

    GPtrArray *
    ide_debugger_library_get_ranges (IdeDebuggerLibrary *self);

Gets the list of address ranges for the library.

#### Parameters

self | An IdeDebuggerLibrary |

#### Returns

a GPtrArray containing the list of address ranges.

[transfer none][element-type Ide.DebuggerAddressRange]

Since: 3.32

### ide_debugger_library_add_range ()

    void
    ide_debugger_library_add_range (IdeDebuggerLibrary *self,
                                    const IdeDebuggerAddressRange *range);

Adds `range` to the list of ranges for which the library is mapped in the inferior's address space.

#### Parameters

self | An IdeDebuggerLibrary |
range | the address range of the library |

Since: 3.32

### ide_debugger_library_get_host_name ()

    const gchar *
    ide_debugger_library_get_host_name (IdeDebuggerLibrary *self);

### ide_debugger_library_set_host_name ()

    void
    ide_debugger_library_set_host_name (IdeDebuggerLibrary *self,
                                        const gchar *host_name);

### ide_debugger_library_get_target_name ()

    const gchar *
    ide_debugger_library_get_target_name (IdeDebuggerLibrary *self);

### ide_debugger_library_set_target_name ()

    void
    ide_debugger_library_set_target_name (IdeDebuggerLibrary *self,
                                          const gchar *target_name);

## Types and Values

### IDE_TYPE_DEBUGGER_LIBRARY

    #define IDE_TYPE_DEBUGGER_LIBRARY (ide_debugger_library_get_type())

### struct IdeDebuggerLibraryClass

    struct IdeDebuggerLibraryClass {
      GObjectClass parent_class;
    };

### IdeDebuggerLibrary

    typedef struct _IdeDebuggerLibrary IdeDebuggerLibrary;

## Property Details

### The `“host-name”` property

      “host-name”                gchar *

The host name for the library.

Owner: IdeDebuggerLibrary

Flags: Read / Write

Default value: NULL

### The `“id”` property

      “id”                       gchar *

The identifier for library.

Owner: IdeDebuggerLibrary

Flags: Read / Write / Construct Only

Default value: NULL

### The `“target-name”` property

      “target-name”              gchar *

The target name for the library.

Owner: IdeDebuggerLibrary

Flags: Read / Write

Default value: NULL